Base64 (Tomcat API Documentation)
Keywords: org.apache.catalina.util.Base64 class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class Base64

    java.lang.Object
      org.apache.catalina.util.Base64

    public final class Base64

extends java.lang.Object

This class provides encode/decode for RFC 2045 Base64 as defined by RFC 2045, N. Freed and N. Borenstein. RFC 2045: Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. Reference 1996

Version:
  $Id: Base64.java 467222 2006-10-24 03:17:11Z markt $
Author:
  Jeffrey Rodriguez

Constructor Summary
`Base64()`

Method Summary
`static void` | `decode(ByteChunk base64DataBC, CharChunk decodedDataCC)` Decodes Base64 data into octects
`static byte[]` | `encode(byte[] binaryData)` Encodes hex octects into Base64.
`static boolean` | `isArrayByteBase64(byte[] arrayOctect)`
`static boolean` | `isBase64(byte octect)`
`static boolean` | `isBase64(java.lang.String isValidString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### isBase64

    public static boolean isBase64(java.lang.String isValidString)

### isBase64

    public static boolean isBase64(byte octect)

### isArrayByteBase64

    public static boolean isArrayByteBase64(byte[] arrayOctect)

### encode

    public static byte[] encode(byte[] binaryData)

  Encodes hex octects into Base64.

  Parameters:
    `binaryData` - Array containing binary data to encode.
  Returns:
    Base64-encoded data.

### decode

    public static void decode(ByteChunk base64DataBC,
                              CharChunk decodedDataCC)

  Decodes Base64 data into octects

  Parameters:
    `base64DataBC` - Byte array containing Base64 data
    `decodedDataCC` - The decoded data chars

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.